com.qualcomm.ftccommon

## Class UpdateUI.Callback

- java.lang.Object
- - com.qualcomm.ftccommon.UpdateUI.Callback

- Enclosing class:
    UpdateUI

      public class UpdateUI.Callback
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `UpdateUI.Callback.DeviceNameManagerCallback`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Callback()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected void` | `displayDeviceName(java.lang.String name)`
    `RobotStateMonitor` | `getStateMonitor()`
    `void` | `networkConnectionUpdate(NetworkConnection.NetworkEvent event)`
    `void` | `refreshErrorTextOnUiThread()`
    `protected void` | `refreshStateStatus()`
    `void` | `restartRobot()` callback method to restart the robot
    `void` | `setStateMonitor(RobotStateMonitor stateMonitor)`
    `void` | `updateNetworkConnectionStatus(NetworkStatus networkStatus)`
    `void` | `updateNetworkConnectionStatus(NetworkStatus networkStatus, java.lang.String extra)`
    `void` | `updatePeerStatus(PeerStatus peerStatus)`
    `void` | `updateRobotState(RobotState state)`
    `void` | `updateRobotStatus(RobotStatus status)`
    `void` | `updateUi(java.lang.String opModeName, Gamepad[] gamepads)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Callback

          public Callback()

  - ### Method Detail

    - #### close

          public void close()

    - #### getStateMonitor

          public RobotStateMonitor getStateMonitor()

    - #### setStateMonitor

          public void setStateMonitor(RobotStateMonitor stateMonitor)

    - #### restartRobot

          public void restartRobot()

      callback method to restart the robot

    - #### updateUi

          public void updateUi(java.lang.String opModeName,
                               Gamepad[] gamepads)

    - #### networkConnectionUpdate

          public void networkConnectionUpdate(NetworkConnection.NetworkEvent event)

    - #### displayDeviceName

          protected void displayDeviceName(java.lang.String name)

    - #### updateNetworkConnectionStatus

          public void updateNetworkConnectionStatus(NetworkStatus networkStatus)

    - #### updateNetworkConnectionStatus

          public void updateNetworkConnectionStatus(NetworkStatus networkStatus,
                                                    java.lang.String extra)

    - #### updatePeerStatus

          public void updatePeerStatus(PeerStatus peerStatus)

    - #### updateRobotStatus

          public void updateRobotStatus(RobotStatus status)

    - #### updateRobotState

          public void updateRobotState(RobotState state)

    - #### refreshStateStatus

          protected void refreshStateStatus()

    - #### refreshErrorTextOnUiThread

          public void refreshErrorTextOnUiThread()